package com.brilliance.isc.convert.mt7xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT701Creator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import org.junit.Test;


public class MT701Test {
    /**
     * @author wanggang
     * @date 2023/3/3
     */
    @Test
    public void mt701_Test() throws ClassNotFoundException {

        //构造参数传入MT报文类型
        MT701Creator mt701Creator=new MT701Creator("701");

        //27
        mt701Creator.setSequenceofTotal("3/7");//1!n/1!n
        //20
        mt701Creator.setDocumentaryCreditNumber("4532");//16x
        //45A
        mt701Creator.setDescriptionofGoodsandorServices("42344234");//100*65z
        //46A
        mt701Creator.setDocumentsRequired("242345");//100*65z
        //47A
        mt701Creator.setAdditionalConditions("4535436");//100*65z
        //49G
        mt701Creator.setSpecialPaymentConditionsforBeneficiary("435366");//100*65z
        //49H
        mt701Creator.setSpecialPaymentConditionsforBankOnly("43heer");//100*65z


        MtCreatorManager.packMT(mt701Creator);
    }

}